# Role : docker_paheko


## Services fournis

Installation de paheko sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_paheko_fqdn: paheko.example.com
docker_paheko_version: 1.3.0
docker_paheko_data_dir: /data1
docker_paheko_service_id: paheko
docker_paheko_smtp_server: smtp.example.com
docker_paheko_secret_key: ici_le_secret_key
docker_paheko_max_file_size_mb: 8
docker_paheko_quota_gb: 1
```

| Option                         | Valeur par défaut | Description                                                                               |
|--------------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_paheko_fqdn             |                   | Le nom de domaine pour lequel le service paheko répond                                    |
| docker_paheko_version          |                   | La version de l'image docker paheko                                                       |
| docker_paheko_data_dir         |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_paheko_service_id       |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_paheko_smtp_server      |                   | L'adresse du serveur smtp par lequel le service envoie les courriels                      |
| docker_paheko_secret_key       |                   | S'obtient avec `openssl rand -base64 40`                                                  |
| docker_paheko_max_file_size_mb |                   | Taille max en Mo des fichiers déposables dans paheko                                      |
| docker_paheko_quota_gb         |                   | Taille max en Go de l'instance paheko                                                     |


## Premier démarrage dans paheko

Se connecter à paheko et enregistrer un premier utilisateur administrateur de l'instance paheko.
