<?php
namespace Paheko;

// Some random key of more than 30 characters
// openssl rand -base64 40
const SECRET_KEY = '{{ docker_paheko_secret_key }}';

// SMTP parameters
const SMTP_HOST = '{{ docker_paheko_smtp_server }}';
{% if docker_paheko_smtp_port is defined %}
const SMTP_PORT = '{{ docker_paheko_smtp_port }}';
{% endif %}
{% if docker_paheko_smtp_security is defined %}
const SMTP_SECURITY = '{{ docker_paheko_smtp_security }}';
{% else %}
const SMTP_SECURITY = 'NONE';
{% endif %}
{% if docker_paheko_smtp_user is defined %}
const SMTP_USER = '{{ docker_paheko_smtp_user }}';
const SMTP_PASSWORD = '{{ docker_paheko_smtp_password }}';
{% endif %}

// Upgrades should be handled by new docker image version
const ENABLE_UPGRADES = false;

// Storage quota
const FILE_STORAGE_QUOTA = {{ docker_paheko_quota_gb }}*1024*1024*1024;

// Command line to use chromium to generate PDF documents
const PDF_COMMAND = 'chromium --no-sandbox --headless --disable-dev-shm-usage --autoplay-policy=no-user-gesture-required --no-first-run --disable-gpu --disable-features=DefaultPassthroughCommandDecoder --use-fake-ui-for-media-stream --use-fake-device-for-media-stream --disable-sync --print-to-pdf=%2$s %1$s';

const USE_CRON = true;
const WWW_URI = "/";
const WWW_URL = "https://{{ docker_paheko_fqdn }}/";
